Package plugins :: Package core :: Package pluginlist :: Module main :: Class XYZPlugin

[hide private]
[frames] | no frames]

# Class XYZPlugin

source code

    libxyz.core.plugins.BasePlugin --+
                                     |
                                    XYZPlugin

Show installed plugins

Instance Methods | [hide private]

__init__(self, xyz) | source code

show_list(self) Show plugins list | source code

_info(self) Show plugin detailed info | source code

Class Variables | [hide private]

| NAME = `u"pluginlist"`
| AUTHOR = `u"Max E. Kuznecov ~syhpoon <syhpoon@syhpoon.name>"`
| VERSION = `u"0.2"`
| BRIEF_DESCRIPTION = `u"Show plugin list"`
| FULL_DESCRIPTION = `u"Show all currently loaded plugins and ass`...``
| NAMESPACE = `u"core"`
| HOMEPAGE = `u"xyzcmd.syhpoon.name"`
| EVENTS = `[("show", _(u"Fires upon showing dialog. Arguments: N`...``

Class Variable Details | [hide private]

### FULL_DESCRIPTION

Value:

      u"Show all currently loaded plugins and associated " u"information"

### EVENTS

Value:

      [("show", _(u"Fires upon showing dialog. Arguments: No")), ("info", _(
      u"Fires when showing detaild plugin info." u"Arguments: Plugin object"
      )),]